org.h2.value

## Class ExtTypeInfo

- java.lang.Object
- - org.h2.value.ExtTypeInfo

Direct Known Subclasses:
  ExtTypeInfoEnum, ExtTypeInfoGeometry

    public abstract class ExtTypeInfo
    extends java.lang.Object

Extended parameters of a data type.

### Constructor Summary

Constructors
Constructor and Description
`ExtTypeInfo()`

### Method Summary

Methods
`abstract Value` `cast(Value value)` Casts a specified value to this data type.
`abstract java.lang.String` `getCreateSQL()` Returns SQL including parentheses that should be appended to a type name.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExtTypeInfo

    public ExtTypeInfo()

### Method Detail

#### cast

    public abstract Value cast(Value value)

Casts a specified value to this data type.

Parameters:
  `value` - value to cast
Returns:
  casted value

#### getCreateSQL

    public abstract java.lang.String getCreateSQL()

Returns SQL including parentheses that should be appended to a type name.

Returns:
  SQL including parentheses that should be appended to a type name

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`